<?php
/**
 * Created by PhpStorm.
 * User: sdf_sky
 * Date: 2017/1/4
 * Time: 下午12:03
 */

namespace App\Services;

use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Log;
use Mrgoon\AliSms\AliSms;
use phpDocumentor\Reflection\Types\Self_;

class SmsService
{

   public static function sendSms($mobile,$smsTemplateId,$params){
       if(!config('services.sms_open')){
           return false;
       }
       if(!is_mobile($mobile) || !$smsTemplateId){
           return false;
       }
       return self::aliSmsSend($mobile,$smsTemplateId,$params);
   }


   public static function sendSmsCode($mobile){
       $code = random_number(6);
       Cache::put("sms_code_$mobile",$code,600);
       return self::sendSms($mobile,Setting()->get('sms_code_template'),['code'=>$code]);
   }


   public static function verifySmsCode($mobile,$code){
        $storeCode = Cache::get("sms_code_$mobile","");
        if($storeCode != $code){
            return false;
        }

       return true;
   }

   protected static function aliSmsSend($mobile,$smsTemplateId,$params){
       $response = Self::smsIhuyiSend($mobile, $smsTemplateId, $params);
       if($response != 0){
           Log::error("ali_sms_send_error".$response);
           return false;
       }
       return true;
   }

   protected static function smsIhuyiSend($mobile, $smsTemplateId, $params){

       $user = config('aliyunsms.access_key'); //短信平台帐号
       $pass = config('aliyunsms.access_secret'); //短信平台密码
       $content= str_replace('【变量】',$params['code'],$smsTemplateId);
       $phone = $mobile;//要发送短信的手机号码

       $smsapi = "http://106.ihuyi.com/webservice/sms.php";
       $postdata = "method=Submit&account=".$user."&password=".$pass."&mobile=".$phone."&content=".urlencode($content);
       //互亿无线结束
       if (extension_loaded('curl')){
           $file_contents = self::curl_post($smsapi,$postdata);
       }else if(function_exists('file_get_contents')){
           $file_contents = file_get_contents($smsapi.'?'.$postdata);
       }
       $res = self::xml_to_array($file_contents);
       if(isset($res['SubmitResult'])) {
           if($res['SubmitResult']['code'] == 2) {
               return "发送成功";
           } else {
               return $res['SubmitResult']['msg'];
           }
       } else {
           return '发送失败';
       }
   }
    protected static function curl_post($url,$curlPost){
        $curl = curl_init();


        if (is_array($curlPost))
        {
            $curlPost = http_build_query($curlPost, '', '&');
        }


        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_HEADER, false);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_TIMEOUT, 10);//超时时间
        curl_setopt($curl, CURLOPT_NOBODY, true);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $curlPost);


        if (strpos($url, "https") === 0){//访问SSL协议的URL https://
            curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false); // 是否验证ssl证书
            curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 0); // 0表示不检查证书；1表示检查证书中是否有CN(common name)字段；2表示在1的基础上校验当前的域名是否与CN匹配
        }


        $return_str = curl_exec($curl);

        curl_close($curl);
        return $return_str;
    }

//互亿无线开始
    protected static function xml_to_array($xml){
        $arr = array();
        $reg = "/<(\w+)[^>]*>([\\x00-\\xFF]*)<\\/\\1>/";
        if(preg_match_all($reg, $xml, $matches)){
            $count = count($matches[0]);
            for($i = 0; $i < $count; $i++){
                $subxml= $matches[2][$i];
                $key = $matches[1][$i];
                if(preg_match( $reg, $subxml )){
                    $arr[$key] = self::xml_to_array( $subxml );
                }else{
                    $arr[$key] = $subxml;
                }
            }
        }
        return $arr;
    }
//互亿无线结束

}